sub new {
    my $class = shift;

    $self = { firstbagelement => undef, };
    
    bless $self, $class;
}

sub getFirstElement {
  my $self = shift;

  return $self->{firstbagelement};
}

sub setFirstElement {
    my ($self, $bagel) = @_;

    $self->{firstbagelement} = $bagel;
}

1;
